> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-detailed-invoices/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get Detailed Invoices GET https://app.unleash-instance.example.com/api/admin/invoices/list **Enterprise feature** undefined Reference: https://docs.getunleash.io/api/get-detailed-invoices ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 #/components/schemas/detailedInvoicesSchema - `invoices` (list of DetailedInvoicesSchemaInvoicesItems, required) — List of invoices with their line items - `planPrice` (double, optional) — The plan price - `planCurrency` (string, optional) — The currency code for the plan price ## Types ### DetailedInvoicesSchemaInvoicesItems - `invoiceDate` (string, required) — When the invoice was created - `status` (string, required) — The current status of the invoice - `totalAmount` (double, required) — Total amount for the invoice - `subtotal` (double, required) — Subtotal amount for the invoice - `currency` (string, required) — The currency code for the invoice - `taxAmount` (double, required) — Tax amount for the invoice - `taxPercentage` (double, required) — Tax percentage for the invoice - `monthText` (string, required) — Human-readable month label for the invoice period - `mainLines` (list of detailedInvoicesLineSchema, required) — Primary line items (packages, seats, etc.) - `usageLines` (list of detailedInvoicesLineSchema, required) — Usage line items (traffic, consumption usage, overages) - `dueDate` (string, optional) — When the invoice is due - `invoiceURL` (string, optional) — A URL pointing to where the invoice can be found. - `invoicePDF` (string, optional) — A link to a PDF-version of the invoice. ### detailedInvoicesLineSchema - `description` (string, required) — Description of the line item - `quantity` (double, required) — Quantity of the item - `currency` (string, required) — Currency code - `lookupKey` (string, required) — Lookup key identifying the product/pricing - `totalAmount` (double, optional) — Total amount for this line item in minor currency units - `startDate` (string, optional) — Optional start date for the metered period - `endDate` (string, optional) — Optional end date for the metered period - `limit` (double, optional) — Optional limit associated with the line item - `consumption` (double, optional) — Optional consumption associated with the line item - `unitPrice` (double, optional) — Unit price for the line item ## Examples **Response** ```json { "invoices": [ { "invoiceDate": "2025-11-01T00:00:00.000Z", "status": "upcoming", "totalAmount": 80, "subtotal": 70, "currency": "usd", "taxAmount": 10, "taxPercentage": 10, "monthText": "November 2025", "mainLines": [ { "description": "1 x Unleash PAYG Seat (at $75.00 / month)", "quantity": 1, "currency": "usd", "lookupKey": "auth_app_payg_seat", "totalAmount": 7500, "startDate": "2025-11-01T00:00:00.000Z", "endDate": "2025-11-30T23:59:59.999Z", "limit": 5, "consumption": 0, "unitPrice": 0.05 } ], "usageLines": [ { "description": "1 x Unleash PAYG Seat (at $75.00 / month)", "quantity": 1, "currency": "usd", "lookupKey": "auth_app_payg_seat", "totalAmount": 7500, "startDate": "2025-11-01T00:00:00.000Z", "endDate": "2025-11-30T23:59:59.999Z", "limit": 5, "consumption": 0, "unitPrice": 0.05 } ], "dueDate": "2025-11-13T00:00:00.000Z", "invoiceURL": "https://invoice.stripe.com/i/acct_.../test_...?", "invoicePDF": "https://pay.stripe.com/invoice/acct_.../test_.../pdf?s=ap" } ], "planPrice": 50, "planCurrency": "usd" } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/invoices/list" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/invoices/list'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/invoices/list" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/invoices/list") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/invoices/list") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/invoices/list', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/invoices/list"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/invoices/list")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```